/*-------------------------------------------------------------------------
 * Copyright (c) 1999-2002 Kenneth W. Sodemann (stufflehead@bigfoot.com)
 *-------------------------------------------------------------------------
 * print_prog_dlg
 *
 * Synopsis:
 *   Printing progress dialog box
 *
 * $Id: print_prog_dlg.c,v 1.6 2002/01/05 17:43:51 stuffle Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to
 * Free Software Foundation, Inc.
 * 59 Temple Place, Suite 330
 * Boston, MA  02111-1307  USA
 *
 *-------------------------------------------------------------------------
 */
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

/*
 * Only bother compiling this stuff if printing is supported.
 */
#ifdef PRINTING_SUPPORTED

#include <gnome.h>

#include "gtkutils.h"

#define MAIN_TEXT     "main_text_widget"
#define DISMISS_BTN   "dismiss_btn"

void
enable_dismiss_button (GtkWidget  *dlg)
{
   gnome_dialog_set_sensitive (GNOME_DIALOG (dlg), 0, TRUE);
} 


GtkText *
get_text_widget (GtkWidget *dlg)
{
   return GTK_TEXT (get_widget (dlg, MAIN_TEXT));
}


GtkWidget*
create_print_prog_dlg (GtkWidget *parent)
{
   GtkWidget *print_dlg;
   GtkWidget *vbox1;
   GtkWidget *scrolledwindow1;
   GtkWidget *text1;

   print_dlg = gnome_dialog_new (_("Printing Progress"),
                                 GNOME_STOCK_BUTTON_CLOSE,
                                 NULL);
   gnome_dialog_set_parent (GNOME_DIALOG (print_dlg), GTK_WINDOW (parent));
   gtk_object_set_data (GTK_OBJECT (print_dlg), "print_dlg", print_dlg);
   gtk_window_set_policy (GTK_WINDOW (print_dlg), FALSE, TRUE, FALSE);
   gnome_dialog_set_close (GNOME_DIALOG (print_dlg), TRUE);
   gnome_dialog_set_default (GNOME_DIALOG (print_dlg), 0);
   gnome_dialog_set_sensitive (GNOME_DIALOG (print_dlg), 0, FALSE);

   vbox1 = GNOME_DIALOG (print_dlg)->vbox; 
   gtk_widget_show (vbox1);

   scrolledwindow1 = gtk_scrolled_window_new (NULL, NULL);
   gtk_widget_show (scrolledwindow1);
   gtk_box_pack_start (GTK_BOX (vbox1), scrolledwindow1, TRUE, TRUE, 0);
   gtk_container_border_width (GTK_CONTAINER (scrolledwindow1), 5);
   gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (scrolledwindow1), 
                                   GTK_POLICY_NEVER, 
                                   GTK_POLICY_AUTOMATIC);

   text1 = gtk_text_new (NULL, NULL);
   gtk_object_set_data (GTK_OBJECT (print_dlg), MAIN_TEXT, text1);
   gtk_widget_show (text1);
   gtk_container_add (GTK_CONTAINER (scrolledwindow1), text1);
   gtk_widget_set_usize (text1, 400, 150);

   return print_dlg;
}

#endif
